"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.desc = exports.command = void 0;
const constants_1 = require("../lib/constants");
const tsHandler_1 = require("../handlers/tsHandler");
const isExistTsConfig_1 = require("../lib/isExistTsConfig");
exports.command = ["*", "ts"];
exports.desc = "Suppress TS errors in TypeScript files";
const builder = (yargs) => yargs.options(constants_1.DEFAULT_OPTIONS).check(isExistTsConfig_1.tsconfigExists);
exports.builder = builder;
const handler = (argv) => {
    const { commentType, tsconfigPath, errorCode } = argv;
    const insertedCommentCount = (0, tsHandler_1.tsHandler)({
        tsconfigPath,
        commentType,
        errorCode,
    });
    console.log("\nCompleted 🎉");
    console.log(`suppress errors: ${insertedCommentCount}`);
};
exports.handler = handler;
