"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.desc = exports.command = void 0;
const vueHandler_1 = require("../handlers/vueHandler");
const constants_1 = require("../lib/constants");
const isExistTsConfig_1 = require("../lib/isExistTsConfig");
exports.command = "vue [targetPathPattern]";
exports.desc = "Suppress TS errors in Vue files";
const builder = (yargs) => yargs
    .options(constants_1.DEFAULT_OPTIONS)
    .check(isExistTsConfig_1.tsconfigExists)
    .positional("target-path-pattern", {
    type: "string",
    requiresArg: true,
    description: "Path to the target vue file, which can be set with the glob pattern. eg: 'src/**/*.vue'",
    default: "src/**/*.vue",
});
exports.builder = builder;
const handler = async (argv) => {
    const { targetPathPattern, tsconfigPath, commentType, errorCode } = argv;
    const insertedCommentCount = await (0, vueHandler_1.vueHandler)({
        targetPathPattern,
        tsconfigPath,
        commentType,
        errorCode,
    });
    console.log("\nCompleted 🎉");
    console.log(`suppress errors: ${insertedCommentCount}`);
    process.exit(0);
};
exports.handler = handler;
